<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Tue Oct 31 17:11:49 CET 2023 -->
<title>M-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-10-31">
<meta name="description" content="index: M">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../org/ludo/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">J</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="../org/ludo/TailleVetement.html#M" class="member-name-link">M</a> - Enum constant in enum class org.ludo.<a href="../org/ludo/TailleVetement.html" title="enum class in org.ludo">TailleVetement</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Main.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class org.ludo.<a href="../org/ludo/Main.html" title="class in org.ludo">Main</a></dt>
<dd>
<div class="block">Main, lance le jeu, si Sauvegarde/vehiculeAConduireList.ser existe, déserialise le fichier sinon on créer une liste de véhicule
 Lancement du menu</div>
</dd>
<dt><a href="../org/ludo/Main.html" class="type-name-link" title="class in org.ludo">Main</a> - Class in <a href="../org/ludo/package-summary.html">org.ludo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Main.html#%3Cinit%3E()" class="member-name-link">Main()</a> - Constructor for class org.ludo.<a href="../org/ludo/Main.html" title="class in org.ludo">Main</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Menu.html" class="type-name-link" title="class in org.ludo">Menu</a> - Class in <a href="../org/ludo/package-summary.html">org.ludo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Menu.html#%3Cinit%3E()" class="member-name-link">Menu()</a> - Constructor for class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Menu.html#menuConduite()" class="member-name-link">menuConduite()</a> - Static method in class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>
<div class="block">Menu conduite, affiche le menu d'action du véhicule.</div>
</dd>
<dt><a href="../org/ludo/Menu.html#menuContinuerPartie()" class="member-name-link">menuContinuerPartie()</a> - Static method in class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>
<div class="block">Méthode pour continuer une partie existante
 récupère le pseudo et vérifie si un joueur de ce nom existe et dans ce cas charge la partie</div>
</dd>
<dt><a href="../org/ludo/Coiffeur.html#menuCoupe(java.lang.String)" class="member-name-link">menuCoupe(String)</a> - Method in class org.ludo.<a href="../org/ludo/Coiffeur.html" title="class in org.ludo">Coiffeur</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Menu.html#menuCreationPersonnage()" class="member-name-link">menuCreationPersonnage()</a> - Static method in class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>
<div class="block">Méthode qui créer un nouveau personnage personnalisé.</div>
</dd>
<dt><a href="../org/ludo/Menu.html#menuExit()" class="member-name-link">menuExit()</a> - Static method in class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>
<div class="block">Sauvegarde la partie en cours puis quitte le jeu</div>
</dd>
<dt><a href="../org/ludo/Menu.html#menuInfosJoueur()" class="member-name-link">menuInfosJoueur()</a> - Static method in class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>
<div class="block">Methode qui affiche le menu des informations du joueur</div>
</dd>
<dt><a href="../org/ludo/Vetement.html#menuIntroVetements()" class="member-name-link">menuIntroVetements()</a> - Static method in class org.ludo.<a href="../org/ludo/Vetement.html" title="class in org.ludo">Vetement</a></dt>
<dd>
<div class="block">cette méthode est une simple méthode pour l'affichage d'un texte qui fait l'introduction du menu d'habillement du personnage</div>
</dd>
<dt><a href="../org/ludo/Personnage.html#menuListePersonnage()" class="member-name-link">menuListePersonnage()</a> - Static method in class org.ludo.<a href="../org/ludo/Personnage.html" title="class in org.ludo">Personnage</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Menu.html#menuNouvellePartie()" class="member-name-link">menuNouvellePartie()</a> - Static method in class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>
<div class="block">Methode qui affiche le menu de sélection ou la création d'un personnage
 dans le cas d'une nouvelle partie.</div>
</dd>
<dt><a href="../org/ludo/Vetement.html#menuOutro()" class="member-name-link">menuOutro()</a> - Static method in class org.ludo.<a href="../org/ludo/Vetement.html" title="class in org.ludo">Vetement</a></dt>
<dd>
<div class="block">Cette méthode sert à présenter un menu de fin de la section habillement du personnage.</div>
</dd>
<dt><a href="../org/ludo/Menu.html#menuPersonnage()" class="member-name-link">menuPersonnage()</a> - Static method in class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>
<div class="block">Menu "PERSONNAGE"
 POUR COMMENCER UNE NOUVELLE PARTIE OU CONTINUER UNE PARTIE EXISTANTE</div>
</dd>
<dt><a href="../org/ludo/Menu.html#menuSelection()" class="member-name-link">menuSelection()</a> - Static method in class org.ludo.<a href="../org/ludo/Menu.html" title="class in org.ludo">Menu</a></dt>
<dd>
<div class="block">Menu principal du joueur</div>
</dd>
<dt><a href="../org/ludo/Vetement.html#menuVetementBas()" class="member-name-link">menuVetementBas()</a> - Static method in class org.ludo.<a href="../org/ludo/Vetement.html" title="class in org.ludo">Vetement</a></dt>
<dd>
<div class="block">Cette méthode sert à définir les caractéristiques du vetement Pantalon du personnage,
 en incluant le type(typeDuVetementBas), la taille (tailleDuVetementBop) et la couleur (couleurDuVetementBop)</div>
</dd>
<dt><a href="../org/ludo/Vetement.html#menuVetementTop()" class="member-name-link">menuVetementTop()</a> - Static method in class org.ludo.<a href="../org/ludo/Vetement.html" title="class in org.ludo">Vetement</a></dt>
<dd>
<div class="block">Cette méthode sert à définir les caractéristiques du vetement Torse du personnage,
 en incluant le type(typeDuVetementTop), la taille (tailleDuVetementTop) et la couleur (couleurDuVetementTop)</div>
</dd>
<dt><a href="../org/ludo/Metier.html" class="type-name-link" title="interface in org.ludo">Metier</a> - Interface in <a href="../org/ludo/package-summary.html">org.ludo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/CoiffeurCoupes.html#MI_LONGS" class="member-name-link">MI_LONGS</a> - Enum constant in enum class org.ludo.<a href="../org/ludo/CoiffeurCoupes.html" title="enum class in org.ludo">CoiffeurCoupes</a></dt>
<dd>
<div class="block">La coupe 'MI_LONGS'</div>
</dd>
<dt><a href="../org/ludo/Avion.html#moteur" class="member-name-link">moteur</a> - Variable in class org.ludo.<a href="../org/ludo/Avion.html" title="class in org.ludo">Avion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Bateau.html#moteur" class="member-name-link">moteur</a> - Variable in class org.ludo.<a href="../org/ludo/Bateau.html" title="class in org.ludo">Bateau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Camion.html#moteur" class="member-name-link">moteur</a> - Variable in class org.ludo.<a href="../org/ludo/Camion.html" title="class in org.ludo">Camion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moto.html#moteur" class="member-name-link">moteur</a> - Variable in class org.ludo.<a href="../org/ludo/Moto.html" title="class in org.ludo">Moto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moteur.html" class="type-name-link" title="class in org.ludo">Moteur</a> - Class in <a href="../org/ludo/package-summary.html">org.ludo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moteur.html#%3Cinit%3E(int)" class="member-name-link">Moteur(int)</a> - Constructor for class org.ludo.<a href="../org/ludo/Moteur.html" title="class in org.ludo">Moteur</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moto.html" class="type-name-link" title="class in org.ludo">Moto</a> - Class in <a href="../org/ludo/package-summary.html">org.ludo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/ludo/Moto.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,int,int,java.lang.String)" class="member-name-link">Moto(String, String, String, int, int, String)</a> - Constructor for class org.ludo.<a href="../org/ludo/Moto.html" title="class in org.ludo">Moto</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">J</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a href="index-20.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
